Joomla 3 – The most recent request was denied

Share this article

Keeping your website up to date is the most important thing in website management and to do that you always need to keep a close eye on new version release and ensure that you keep it up to date to keep it protected and secured.

Problem

While updating Joomla 3 to its latest version, you might come across the following error message:

Error: “The most recent request was denied because it contained an invalid security token. Please refresh the page and try again.”

Solution:
  1. Login to your Joomla Administrator
  2. Go to Extensions > Manage > Updates
  3. Click on Clear Cache and then click on Find Updates
  4. Now Install the Discovered “com_joomlaupdate”
  5. Also, update any other extension updates that show up in the list for you.
  6. Attempt to Update Joomla again

Applies To: Joomla 3.x.x.

If you face any difficulty while deploying this fix, drop me a line and I will be happy to help you. Did you find it helpful? Drop a line and share it forward to help others. Have a nice day.